/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Simulation;

import java.util.Vector;
import ws3dproxy.model.Creature;
import ws3dproxy.model.Leaflet;
import ws3dproxy.model.WorldPoint;

/**
 *
 * @author Danilo
 */
public class SimulationRobot extends SimulationCreature
{
    /***
     * Leaflet List
     */
    private Vector<Leaflet> leafletList;
    
    
    /***
     * Leaflets Delivery Spot
     */

    private WorldPoint deliverySpot;
    
    /**
     * Default Constructor
     */
    public SimulationRobot()
    {
        super(StakeholderType.CREATURE,new WorldPoint());
    }
    
    /**
     * Constructor
     * @param _position World Point Position
     */
    public SimulationRobot(WorldPoint _position)
    {
        super(StakeholderType.CREATURE,_position);
    }

    public SimulationRobot (Creature creature)
    {
        super(StakeholderType.CREATURE,creature.getPosition());
    }
    
    
    public void setLeafletList(Vector<Leaflet> newLeafletList)
    {
        leafletList = newLeafletList;
    }
    
    
    public Vector<Leaflet> getLeafletList()
    {
        return leafletList;
    }
    
    
    public void setDeliverySpot(WorldPoint whichDeliverySpot)
    {
        deliverySpot = whichDeliverySpot;
    }
    
    
    public WorldPoint getDeliverySport()
    {
        return deliverySpot;
    }
}
